Subject: Re: [PATCH RFC V1 net-next 3/4] net: Let the active time stamping layer be selectable.

From: Kurt Kanzenbach <[email-masked]>
Date: Tue, 05 Apr 2022 11:01:11 +0200

On Mon Apr 04 2022, Michael Walle wrote:
> That would make sense. I guess what bothers me with the current
> mechanism is that a feature addition to the PHY in the *future* (the
> timestamping support) might break a board - or at least changes the
> behavior by suddenly using PHY timestamping.

Currently PHY timestamping is hidden behind a configuration option
(NETWORK_PHY_TIMESTAMPING). By disabling this option the default
behavior should stay at MAC timestamping even if additional features
are added on top of the PHY drivers at later stages. Or not?

Thanks,
Kurt